cs_render(3)

NAME
cs_render - render a CS parse tree

SYNOPSIS
#include <cs/cs.h> NEOERR *cs_render (CSPARSE *parse, void *ctx, CSOUTFUNC cb);

ARGUMENTS
parse - the CSPARSE structure containing the CS parse tree
that will be evaluated
ctx - user data that will be passed as the first variable to
the CSOUTFUNC.
cb - a CSOUTFUNC called to render the output. A CSOUTFUNC is
defined as:
typedef NEOERR* (*CSOUTFUNC)(void *, char *);

DESCRIPTION
cs_render will evaluate a CS parse tree, calling the CSOUTFUNC passed to it for output. Note that calling cs_render multiple times on the same parse tree may or may not render the same output as the set statement has side-effects, it updates the HDF data used by the render. Typically, you will call one of the cs_parse functions before calling this function.

RETURN VALUE
None

SEE ALSO
cs_dump(3), cs_destroy(3), cs_render(3), cs_register_esc_strfunc(3), cs_arg_parsev(3), cs_register_fileload(3), cs_init(3), cs_register_strfunc(3), cs_arg_parse(3), cs_parse_string(3), cs_parse_file(3), =(3), cs_register_function